﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TaskManager.Core
{
    /// <summary>
    /// 优先级决策要素--重要度
    /// </summary>
    [Serializable]
    public class ImportanceFactor : PriorityFactor
    {
        public ImportanceFactor() : base("重要度", 5) { }

        /// <summary>
        /// 设置值。
        /// </summary>
        /// <param name="value">要设置的值，范围为[1,5]。</param>
        public override void SetV(int value)
        {
            if (value < 1 || value > 5) throw new ArgumentException();
            this.v = value;
        }

        public override int GetV()
        {
            return v;
        }
    }
}
