﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace TaskManager.Core
{
    class PriorityCalculator
    {
        private Task task;

        public PriorityCalculator(Task task)
        {
            if (task == null) throw new ArgumentNullException();
            this.task = task;
        }

        public double Calculate()
        {
            double priority = 0;
            Dictionary<string, PriorityFactor>.Enumerator factorsEtr =
                task.Factors.GetEnumerator();
            FieldInfo vFieldInfo = typeof(PriorityFactor).GetField("v", BindingFlags.NonPublic | BindingFlags.Instance);
            while (factorsEtr.MoveNext())
            {
                int realP = (int)vFieldInfo.GetValue(factorsEtr.Current.Value);
                priority += (factorsEtr.Current.Value.GetP() * realP);
            }
            return priority /= 5 * task.Factors.Count;
        }
    }
}
