﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TaskManager.Core
{
    /// <summary>
    /// 负责将一个任务中完整的优先级决策要素组装起来。
    /// </summary>
    static class PriorityFactorsAssemblier
    {
        public static Dictionary<string, PriorityFactor> Create()
        {
            Dictionary<string, PriorityFactor> factors = new Dictionary<string, PriorityFactor>();
            factors.Add("imp", PriorityFactorFactory.Create("TaskManager.Core.ImportanceFactor"));
            factors.Add("urg", PriorityFactorFactory.Create("TaskManager.Core.UrgenceFactor"));
            factors.Add("tim", PriorityFactorFactory.Create("TaskManager.Core.TimeFactor"));
            factors.Add("res", PriorityFactorFactory.Create("TaskManager.Core.ResFactor"));
            factors.Add("tec", PriorityFactorFactory.Create("TaskManager.Core.TechFactor"));
            return factors;
        }
    }
}
