﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TaskManager.Core
{
    /// <summary>
    /// 优先级决策要素--时间消耗
    /// </summary>
    [Serializable]
    public class TimeFactor : PriorityFactor
    {
        public TimeFactor() : base("时间消耗", 3) { v = 5; }

        /// <summary>
        /// 设置值。
        /// </summary>
        /// <param name="value">要设置的值，范围为[1,5]。</param>
        public override void SetV(int value)
        {
            if (value < 1 || value > 6) throw new ArgumentException();
            this.v = 6 - value;
        }

        public override int GetV()
        {
            return 6 - v;
        }
    }
}
