﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml;
using TaskManager.Core;

namespace TaskManager.DB
{
    class XmlTaskListsWriter : ITaskListsWriter
    {
        private XmlTaskListsContext context;

        public XmlTaskListsWriter(XmlTaskListsContext context)
        {
            this.context = context;
        }

        #region ITaskListsWriter 成员

        public void Write(List<TaskManager.Core.TaskList> taskLists)
        {
            using (StreamWriter writer = new StreamWriter(context.GetXmlFileName(), false, Encoding.UTF8))
            {
                writer.WriteLine("<?xml version=\"1.0\" encoding=\"utf-8\" ?>");
                writer.WriteLine("<TaskManager>");
                foreach (TaskList taskList in taskLists)
                {
                    writer.WriteLine("\t<TaskList>");
                    foreach (Task task in taskList)
                    {
                        string taskElement = "<Task" +
                            " guid=\"" + task.Guid + "\"" +
                            " name=\"" + task.Name + "\"" +
                            " imp=\"" + task.Factors["imp"].GetV().ToString() + "\"" +
                            " urg=\"" + task.Factors["urg"].GetV().ToString() + "\"" +
                            " tim=\"" + task.Factors["tim"].GetV().ToString() + "\"" +
                            " res=\"" + task.Factors["res"].GetV().ToString() + "\"" +
                            " tec=\"" + task.Factors["tec"].GetV().ToString() + "\"" +
                            "></Task>";
                        writer.WriteLine("\t\t" + taskElement);
                    }
                    writer.WriteLine("\t</TaskList>");
                }
                writer.WriteLine("</TaskManager>");
            }
        }

        #endregion
    }
}
