﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using TaskManager.UI;
using System.Reflection;

namespace TaskManager
{
    static class Program
    {
        private static string AssemblyTitle
        {
            get
            {
                object[] attributes = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyTitleAttribute), false);
                if (attributes.Length > 0)
                {
                    AssemblyTitleAttribute titleAttribute = (AssemblyTitleAttribute)attributes[0];
                    if (titleAttribute.Title != "")
                        return titleAttribute.Title;
                }
                return System.IO.Path.GetFileNameWithoutExtension(Assembly.GetExecutingAssembly().CodeBase);
            }
        }

        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.ThreadException += new System.Threading.ThreadExceptionEventHandler(Application_ThreadException);
            Application.Run(new MainForm());
        }

        static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e)
        {
            MessageBox.Show(
                    "程序发生下列错误，请告知作者，http://ydong.cnblogs.com" +
                        Environment.NewLine + Environment.NewLine +
                        e.Exception.Message + Environment.NewLine + e.Exception.StackTrace.ToString(),
                    AssemblyTitle,
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Question);
        }
    }
}