﻿#if DEBUG

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using TaskManager.DB;
using TaskManager.Core;
using System.IO;

namespace TaskManager.Tests
{
    [TestFixture]
    public class XmlTaskListsWriterTests
    {
        [Test]
        public void WriteXml()
        {
            List<TaskList> taskLists = new List<TaskList>();
            TaskList taskList = new TaskList();
            Task task = new Task("testTask1");
            task.Factors["imp"].SetV(2);
            taskList.Append(task);
            taskLists.Add(taskList);

            ITaskListsWriter writer = XmlTaskListsWriterFactory.Create();
            writer.Write(taskLists);

            using (StreamReader reader = new StreamReader(XmlTaskListsContext.Instance.GetXmlFileName()))
            {
                string xml = reader.ReadToEnd();
                string expectedXml = @"<?xml version=""1.0"" encoding=""utf-8"" ?>
<TaskManager>
	<TaskList>
		<Task guid=""" + task.Guid + @""" name=""testTask1"" imp=""2"" urg=""1"" tim=""1"" res=""1"" tec=""1""></Task>
	</TaskList>
</TaskManager>
";
                Assert.AreEqual(expectedXml, xml);
            }
        }
    }
}

#endif